<?php
$tdata_________ = array();
$tdata_________[".searchableFields"] = array();
$tdata_________[".ShortName"] = "_________";
$tdata_________[".OwnerID"] = "";
$tdata_________[".OriginalTable"] = "statistics_case";


$tdata_________[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdata_________[".originalPagesByType"] = $tdata_________[".pagesByType"];
$tdata_________[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdata_________[".originalPages"] = $tdata_________[".pages"];
$tdata_________[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdata_________[".originalDefaultPages"] = $tdata_________[".defaultPages"];

//	field labels
$fieldLabels_________ = array();
$fieldToolTips_________ = array();
$pageTitles_________ = array();
$placeHolders_________ = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabels_________["English"] = array();
	$fieldToolTips_________["English"] = array();
	$placeHolders_________["English"] = array();
	$pageTitles_________["English"] = array();
	$fieldLabels_________["English"]["full_name"] = "الإسم";
	$fieldToolTips_________["English"]["full_name"] = "";
	$placeHolders_________["English"]["full_name"] = "";
	$fieldLabels_________["English"]["region"] = "المنطقة";
	$fieldToolTips_________["English"]["region"] = "";
	$placeHolders_________["English"]["region"] = "";
	$fieldLabels_________["English"]["numCase"] = "القلم";
	$fieldToolTips_________["English"]["numCase"] = "";
	$placeHolders_________["English"]["numCase"] = "";
	$fieldLabels_________["English"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTips_________["English"]["CountOfnumPers"] = "";
	$placeHolders_________["English"]["CountOfnumPers"] = "";
	$fieldLabels_________["English"]["total"] = "المجموع";
	$fieldToolTips_________["English"]["total"] = "";
	$placeHolders_________["English"]["total"] = "";
	$fieldLabels_________["English"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTips_________["English"]["percentage"] = "";
	$placeHolders_________["English"]["percentage"] = "";
	$fieldLabels_________["English"]["ma3"] = "مع";
	$fieldToolTips_________["English"]["ma3"] = "";
	$placeHolders_________["English"]["ma3"] = "";
	$fieldLabels_________["English"]["dod"] = "ضد";
	$fieldToolTips_________["English"]["dod"] = "";
	$placeHolders_________["English"]["dod"] = "";
	$fieldLabels_________["English"]["tachkil"] = "تشكيل";
	$fieldToolTips_________["English"]["tachkil"] = "";
	$placeHolders_________["English"]["tachkil"] = "";
	$fieldLabels_________["English"]["majhoul"] = "مجهول";
	$fieldToolTips_________["English"]["majhoul"] = "";
	$placeHolders_________["English"]["majhoul"] = "";
	if (count($fieldToolTips_________["English"]))
		$tdata_________[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabels_________["Arabic"] = array();
	$fieldToolTips_________["Arabic"] = array();
	$placeHolders_________["Arabic"] = array();
	$pageTitles_________["Arabic"] = array();
	$fieldLabels_________["Arabic"]["full_name"] = "الإسم";
	$fieldToolTips_________["Arabic"]["full_name"] = "";
	$placeHolders_________["Arabic"]["full_name"] = "";
	$fieldLabels_________["Arabic"]["region"] = "المنطقة";
	$fieldToolTips_________["Arabic"]["region"] = "";
	$placeHolders_________["Arabic"]["region"] = "";
	$fieldLabels_________["Arabic"]["numCase"] = "القلم";
	$fieldToolTips_________["Arabic"]["numCase"] = "";
	$placeHolders_________["Arabic"]["numCase"] = "";
	$fieldLabels_________["Arabic"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTips_________["Arabic"]["CountOfnumPers"] = "";
	$placeHolders_________["Arabic"]["CountOfnumPers"] = "";
	$fieldLabels_________["Arabic"]["total"] = "المجموع";
	$fieldToolTips_________["Arabic"]["total"] = "";
	$placeHolders_________["Arabic"]["total"] = "";
	$fieldLabels_________["Arabic"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTips_________["Arabic"]["percentage"] = "";
	$placeHolders_________["Arabic"]["percentage"] = "";
	$fieldLabels_________["Arabic"]["ma3"] = "مع";
	$fieldToolTips_________["Arabic"]["ma3"] = "";
	$placeHolders_________["Arabic"]["ma3"] = "";
	$fieldLabels_________["Arabic"]["dod"] = "ضد";
	$fieldToolTips_________["Arabic"]["dod"] = "";
	$placeHolders_________["Arabic"]["dod"] = "";
	$fieldLabels_________["Arabic"]["tachkil"] = "تشكيل";
	$fieldToolTips_________["Arabic"]["tachkil"] = "";
	$placeHolders_________["Arabic"]["tachkil"] = "";
	$fieldLabels_________["Arabic"]["majhoul"] = "مجهول";
	$fieldToolTips_________["Arabic"]["majhoul"] = "";
	$placeHolders_________["Arabic"]["majhoul"] = "";
	if (count($fieldToolTips_________["Arabic"]))
		$tdata_________[".isUseToolTips"] = true;
}


	$tdata_________[".NCSearch"] = true;

	$tdata_________[".ChartRefreshTime"] = 0;


$tdata_________[".shortTableName"] = "_________";
$tdata_________[".nSecOptions"] = 0;

$tdata_________[".mainTableOwnerID"] = "";
$tdata_________[".entityType"] = 3;
$tdata_________[".connId"] = "electiondb_at_ssl_localhost";


$tdata_________[".strOriginalTableName"] = "statistics_case";

	



$tdata_________[".showAddInPopup"] = false;

$tdata_________[".showEditInPopup"] = false;

$tdata_________[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdata_________[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdata_________[".listAjax"] = false;
//	temporary
$tdata_________[".listAjax"] = false;

	$tdata_________[".audit"] = false;

	$tdata_________[".locking"] = false;


$pages = $tdata_________[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdata_________[".edit"] = true;
	$tdata_________[".afterEditAction"] = 1;
	$tdata_________[".closePopupAfterEdit"] = 1;
	$tdata_________[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdata_________[".add"] = true;
$tdata_________[".afterAddAction"] = 1;
$tdata_________[".closePopupAfterAdd"] = 1;
$tdata_________[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdata_________[".list"] = true;
}



$tdata_________[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdata_________[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdata_________[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdata_________[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdata_________[".printFriendly"] = true;
}



$tdata_________[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdata_________[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdata_________[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdata_________[".isUseAjaxSuggest"] = true;






$tdata_________[".ajaxCodeSnippetAdded"] = false;

$tdata_________[".buttonsAdded"] = false;

$tdata_________[".addPageEvents"] = false;

// use timepicker for search panel
$tdata_________[".isUseTimeForSearch"] = false;


$tdata_________[".badgeColor"] = "2F4F4F";


$tdata_________[".allSearchFields"] = array();
$tdata_________[".filterFields"] = array();
$tdata_________[".requiredSearchFields"] = array();




$tdata_________[".tableType"] = "chart";

$tdata_________[".printerPageOrientation"] = 0;
$tdata_________[".nPrinterPageScale"] = 100;

$tdata_________[".nPrinterSplitRecords"] = 40;

$tdata_________[".geocodingEnabled"] = false;



// chart settings
$tdata_________[".chartType"] = "2DColumn";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdata_________[".strOrderBy"] = $tstrOrderBy;

$tdata_________[".orderindexes"] = array();


$tdata_________[".sqlHead"] = "SELECT full_name,  	region,  	numCase,  	CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$tdata_________[".sqlFrom"] = "FROM statistics_case";
$tdata_________[".sqlWhereExpr"] = "";
$tdata_________[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdata_________[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdata_________[".arrGroupsPerPage"] = $arrGPP;

$tdata_________[".highlightSearchResults"] = true;

$tableKeys_________ = array();
$tdata_________[".Keys"] = $tableKeys_________;


$tdata_________[".hideMobileList"] = array();




//	full_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "full_name";
	$fdata["GoodName"] = "full_name";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","full_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "full_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "full_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=57";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["full_name"] = $fdata;
		$tdata_________[".searchableFields"][] = "full_name";
//	region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "region";
	$fdata["GoodName"] = "region";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "region";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "name";

	

	
	$edata["LookupOrderBy"] = "name";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["region"] = $fdata;
		$tdata_________[".searchableFields"][] = "region";
//	numCase
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "numCase";
	$fdata["GoodName"] = "numCase";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","numCase");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numCase";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numCase";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "electioncase";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "numCase";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "numCase";

	

	
	$edata["LookupOrderBy"] = "numCase";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["numCase"] = $fdata;
		$tdata_________[".searchableFields"][] = "numCase";
//	CountOfnumPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "CountOfnumPers";
	$fdata["GoodName"] = "CountOfnumPers";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","CountOfnumPers");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "CountOfnumPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountOfnumPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["CountOfnumPers"] = $fdata;
		$tdata_________[".searchableFields"][] = "CountOfnumPers";
//	total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "total";
	$fdata["GoodName"] = "total";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["total"] = $fdata;
		$tdata_________[".searchableFields"][] = "total";
//	percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "percentage";
	$fdata["GoodName"] = "percentage";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["percentage"] = $fdata;
		$tdata_________[".searchableFields"][] = "percentage";
//	ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "ma3";
	$fdata["GoodName"] = "ma3";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["ma3"] = $fdata;
		$tdata_________[".searchableFields"][] = "ma3";
//	dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "dod";
	$fdata["GoodName"] = "dod";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["dod"] = $fdata;
		$tdata_________[".searchableFields"][] = "dod";
//	tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "tachkil";
	$fdata["GoodName"] = "tachkil";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["tachkil"] = $fdata;
		$tdata_________[".searchableFields"][] = "tachkil";
//	majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "majhoul";
	$fdata["GoodName"] = "majhoul";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("_________","majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________["majhoul"] = $fdata;
		$tdata_________[".searchableFields"][] = "majhoul";

$tdata_________[".chartLabelField"] = "full_name";
$tdata_________[".chartSeries"] = array();
$tdata_________[".chartSeries"][] = array( 
	"field" => "majhoul",
	"total" => ""
);
$tdata_________[".chartSeries"][] = array( 
	"field" => "tachkil",
	"total" => ""
);
$tdata_________[".chartSeries"][] = array( 
	"field" => "dod",
	"total" => ""
);
$tdata_________[".chartSeries"][] = array( 
	"field" => "ma3",
	"total" => ""
);
$tdata_________[".chartSeries"][] = array( 
	"field" => "percentage",
	"total" => ""
);
	$tdata_________[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">حسب القلم</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_column</attr>
		</attr>

		<attr value="parameters">';
	$tdata_________[".chartXml"] .= '<attr value="0">
			<attr value="name">majhoul</attr>';
	$tdata_________[".chartXml"] .= '</attr>';
	$tdata_________[".chartXml"] .= '<attr value="1">
			<attr value="name">tachkil</attr>';
	$tdata_________[".chartXml"] .= '</attr>';
	$tdata_________[".chartXml"] .= '<attr value="2">
			<attr value="name">dod</attr>';
	$tdata_________[".chartXml"] .= '</attr>';
	$tdata_________[".chartXml"] .= '<attr value="3">
			<attr value="name">ma3</attr>';
	$tdata_________[".chartXml"] .= '</attr>';
	$tdata_________[".chartXml"] .= '<attr value="4">
			<attr value="name">percentage</attr>';
	$tdata_________[".chartXml"] .= '</attr>';
	$tdata_________[".chartXml"] .= '<attr value="5">
		<attr value="name">full_name</attr>
	</attr>';
	$tdata_________[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdata_________[".chartXml"] .= '<attr value="head">'.xmlencode("عامودي حسب القلم").'</attr>
<attr value="foot">'.xmlencode("").'</attr>
<attr value="y_axis_label">'.xmlencode("").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">60</attr>';
$tdata_________[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdata_________[".chartXml"] .= '<attr value="0">
		<attr value="name">full_name</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","full_name")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________[".chartXml"] .= '<attr value="1">
		<attr value="name">region</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","region")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________[".chartXml"] .= '<attr value="2">
		<attr value="name">numCase</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","numCase")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________[".chartXml"] .= '<attr value="3">
		<attr value="name">CountOfnumPers</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","CountOfnumPers")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________[".chartXml"] .= '<attr value="4">
		<attr value="name">total</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","total")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________[".chartXml"] .= '<attr value="5">
		<attr value="name">percentage</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","percentage")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________[".chartXml"] .= '<attr value="6">
		<attr value="name">ma3</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","ma3")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________[".chartXml"] .= '<attr value="7">
		<attr value="name">dod</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","dod")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________[".chartXml"] .= '<attr value="8">
		<attr value="name">tachkil</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","tachkil")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________[".chartXml"] .= '<attr value="9">
		<attr value="name">majhoul</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________","majhoul")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdata_________[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">حسب القلم</attr>
<attr value="short_table_name">_________</attr>
</attr>

</chart>';

$tables_data["حسب القلم"]=&$tdata_________;
$field_labels["_________"] = &$fieldLabels_________;
$fieldToolTips["_________"] = &$fieldToolTips_________;
$placeHolders["_________"] = &$placeHolders_________;
$page_titles["_________"] = &$pageTitles_________;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["حسب القلم"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["حسب القلم"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery__________()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "full_name,  	region,  	numCase,  	CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$proto0["m_strFrom"] = "FROM statistics_case";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "full_name",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto6["m_sql"] = "full_name";
$proto6["m_srcTableName"] = "حسب القلم";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "region",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto8["m_sql"] = "region";
$proto8["m_srcTableName"] = "حسب القلم";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "numCase",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto10["m_sql"] = "numCase";
$proto10["m_srcTableName"] = "حسب القلم";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "CountOfnumPers",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto12["m_sql"] = "CountOfnumPers";
$proto12["m_srcTableName"] = "حسب القلم";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "total",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto14["m_sql"] = "total";
$proto14["m_srcTableName"] = "حسب القلم";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "percentage",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto16["m_sql"] = "percentage";
$proto16["m_srcTableName"] = "حسب القلم";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "ma3",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto18["m_sql"] = "ma3";
$proto18["m_srcTableName"] = "حسب القلم";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "dod",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto20["m_sql"] = "dod";
$proto20["m_srcTableName"] = "حسب القلم";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "tachkil",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto22["m_sql"] = "tachkil";
$proto22["m_srcTableName"] = "حسب القلم";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "majhoul",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "حسب القلم"
));

$proto24["m_sql"] = "majhoul";
$proto24["m_srcTableName"] = "حسب القلم";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto26=array();
$proto26["m_link"] = "SQLL_MAIN";
			$proto27=array();
$proto27["m_strName"] = "statistics_case";
$proto27["m_srcTableName"] = "حسب القلم";
$proto27["m_columns"] = array();
$proto27["m_columns"][] = "full_name";
$proto27["m_columns"][] = "region";
$proto27["m_columns"][] = "numCase";
$proto27["m_columns"][] = "CountOfnumPers";
$proto27["m_columns"][] = "total";
$proto27["m_columns"][] = "percentage";
$proto27["m_columns"][] = "ma3";
$proto27["m_columns"][] = "dod";
$proto27["m_columns"][] = "tachkil";
$proto27["m_columns"][] = "majhoul";
$obj = new SQLTable($proto27);

$proto26["m_table"] = $obj;
$proto26["m_sql"] = "statistics_case";
$proto26["m_alias"] = "";
$proto26["m_srcTableName"] = "حسب القلم";
$proto28=array();
$proto28["m_sql"] = "";
$proto28["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto28["m_column"]=$obj;
$proto28["m_contained"] = array();
$proto28["m_strCase"] = "";
$proto28["m_havingmode"] = false;
$proto28["m_inBrackets"] = false;
$proto28["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto28);

$proto26["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto26);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="حسب القلم";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData__________ = createSqlQuery__________();


	
		;

										

$tdata_________[".sqlquery"] = $queryData__________;



$tableEvents["حسب القلم"] = new eventsBase;
$tdata_________[".hasEvents"] = false;

?>